<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
* Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
* Use is subject to license terms.
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
        <title>Code Navigation: Quick Reference</title>
    <link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">

    </head>

    <body>
        <h2>Code Navigation: Quick Reference</h2>

        <p> This topic describes common tasks within the Source Editor for 
        navigating within your code and browsing source and Javadoc documentation.</p>

        <table border="1" cellpadding="5" cellspacing="0" summary="The left column lists the
            task name. The right column lists the steps to perform.">
            <tr valign="top"> 
                <th scope="col" align="left">To perform this task</th>
                <th scope="col" align="left">Follow these steps</th>
            </tr>
            <tr valign="top"> 
                <td>Go to the Java source for the identifier the insertion point is on.</td>
                <td> 
                    <ul><li>Press Alt-O, or choose 
                        Navigate &gt; Go to Source.
                    </li></ul>
                </td>
            </tr>
            <tr valign="top"> 
                <td>Go to a Java file, JSP file, or tag file via hyperlinks.</td>
                <td> 
                    Hold down the Ctrl key and, at the same time, move your mouse over and click one of:
                    <ul><li>Java identifier (package, class, method, variable).</li>
                    <li>JSP identifier (<tt>include</tt> directive, <tt>&lt;jsp:include&gt;</tt> element, 
                        <tt>&lt;jsp:forward&gt;</tt> element, or 
                        tag file reference).
                    </li></ul>
                </td>
            </tr>
            <tr valign="top"> 
                <td>Jump to the declaration for the Java method or field the insertion point is on.</td>
                <td> 
                    <ul><li>Press Alt-G, or right-click and choose 
                        Go To  &gt; Declaration from 
                        the pop-up menu.
                    </li></ul>
                </td>
            </tr>
            <tr valign="top"> 
                <td>Go to a Java class.</td>
                <td> 
                    <ul><li>Choose Navigate&nbsp; &gt; Go To Class or press Alt-Shift-O.
                    </ul>
                </td>
            </tr>
            <tr valign="top"> 
                <td>Display Javadoc documentation for the entity that the insertion point is on.</td>
                <td> 
                    <ul><li>Press Alt-F1, or right-click and choose Show Javadoc from the contextual menu.
                    <p>
                        The appropriate Javadoc library must be included in the Library manager.  
                    </p></li></ul>
                </td>
            </tr>
            <tr valign="top"> 
                <td>Display Javadoc documentation for the method that corresponds to the method 
                signature that you are using in your code.</td>
                <td> 
                    <ol>
                    <li>Place the insertion point between the closing parenthesis of the method call and the semicolon.
                    <li>Press Alt-F1, or right-click and choose Show Javadoc from the contextual menu.
                    <p>If the insertion point is elsewhere in the line when you press Alt-F1, the 
                    documentation for the method with no parameters is displayed.</p></li></ol>
                </td>
            </tr>
            <tr valign="top"> 
                <td>Go to a specific method or field in the currently displayed Java class.</td>
                <td> 
                    <ul>
                        <li>Double-click the method or field 
                        in the Navigator window.</li>
                    </ul>
                </td>
            </tr>
            <tr valign="top"> 
                <td>Switch Source Editor tabs</td>
                <td> 
                    <ul>
                        <li>Press Alt-Right or Alt-Left.</li>
                    </ul>
                </td>
            </tr>

            <tr valign="top"> 
                <td>Jump back and forth among areas of code in which you 
                have been working.</td>
                <td> 
                    <ul>
                        <li>Use the Alt-K and Alt-L jump list 
                        keyboard shortcuts.</li>
                    </ul>
                </td>
            </tr>
            <tr valign="top"> 
                <td>Bookmark a line of code.</td>
                <td> 
                    <ul>
                        <li>Click anywhere in the line that you want to bookmark and press Ctrl-Shift-M.
                        <p>Press Ctrl-Shift-Period/Comma to cycle forward/backwards through your bookmarks.</p>
                        <p>Press Ctrl-Shift-M on a bookmarked line to remove the bookmark.</li>
                    </ul>
                </td>
            </tr>
            <tr valign="top"> 
                <td>To go to a specific line number.</td>
                <td><ul><li>Press Ctrl-G.</li></ul></td>
            </tr>
            <tr valign="top"> 
                <td>Select the Projects window node for the current file in the Source Editor.</td>
                <td><ul><li>Press Ctrl-Shift-1</li></ul></td>
            </tr>
        </table>

        <hr>

        <small><a href="../credits.html">Legal Notices</a></small>
    </body>
</html>
